package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.SysAccount;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

public interface SysAccountDao extends BaseDAO<Integer, SysAccount> {

    int updateByPrimaryKey(SysAccount record);

    /**
     * 获取一个私户
     *
     * @param amount
     * @return
     */
    SysAccount getPerAccount(@Param("amount") BigDecimal amount);

    int batchInsert(@Param("sysAccountList") List<SysAccount> sysAccountList);
}